package it.unitn.disi.prog2.bonizzi;

import javafx.scene.shape.Circle;

/**
 *
 * Implementazione di {@link it.unitn.disi.prog2.bonizzi.MovementHandler} che punta 
 * a gestire il comportamente previsto per l'algoritmo 1
 * 
 * @author Alberto Bonizzi
 */
public class Alg1Handler implements MovementHandler {
    
    /**
     * 
     * Metodo che sposta i cerchi della matrice una posizione in alto
     * e una a destra. Se i cerchi si trovano in una posizione tale per cui
     * escono dalla matrice vengono persi
     * 
     * @param matrix 
     */
    
    @Override
    public void moveBalls (Circle[][] matrix) {
        
        for (int i=1; i<matrix.length; i++) {
            for (int j = 0; j<matrix[i].length-1; j++) {
                
                Circle sor, dest;
                
                dest = matrix[i-1][j+1];
                sor = matrix[i][j];
                
                dest.setOpacity (sor.getOpacity ());
            }
            
        }
        
        for (int i=0; i<matrix.length; i++) {
            
            matrix[i][0].setOpacity (0);
        }
        
        
        for (int j=0; j<matrix[matrix.length-1].length; j++) {
            
            matrix[matrix.length-1][j].setOpacity (0);
        }
        
    }
    
    
}
