package it.unitn.disi.prog2.bonizzi;

import javafx.scene.shape.Circle;

/**
 *
 * Implementazione di {@link it.unitn.disi.prog2.bonizzi.MovementHandler} che punta 
 * a gestire il comportamente previsto per l'algoritmo 2
 * 
 * @author Alberto Bonizzi
 */
public class Alg2Handler implements MovementHandler {
    
    /**
     * 
     * Metodo che sposta i cerchi della matrice una posizione in basso.
     * Se i cerchi si trovano in una posizione tale per cui
     * escono dalla matrice vengono persi
     * 
     * @param matrix 
     */
    
    @Override
    public void moveBalls (Circle[][] matrix) {
        
        for (int i=0; i<matrix.length; i++) {
            for (int j = 0; j<matrix[i].length-1; j++) {
                
                Circle sor, dest;
                
                sor = matrix[i][j+1];
                dest = matrix[i][j];
                
                dest.setOpacity (sor.getOpacity ());
            }
            
        }
        
        for (int i=0; i<matrix.length; i++) {
            
            matrix[i][matrix[i].length-1].setOpacity (0);
        }
    }
    
}
