package it.unitn.disi.prog2.bonizzi;

import javafx.scene.shape.Circle;

/**
 *
 * Implementazione di {@link it.unitn.disi.prog2.bonizzi.MovementHandler} che punta 
 * a gestire il comportamente previsto per l'algoritmo 3
 * 
 * @author Alberto Bonizzi
 */
public class Alg3Handler implements MovementHandler {
    
    /**
     * 
     * Metodo che sposta i cerchi della matrice una posizione a sinistra.
     * Se i cerchi si trovano in una posizione tale per cui
     * escono dalla matrice vengono persi
     * 
     * @param matrix 
     */
    
    @Override
    public void moveBalls (Circle[][] matrix) {
        
        for (int i=matrix.length-1; i>0; i--) {
            for (int j = 0; j<matrix[i].length; j++) {
                
                Circle sor, dest;
                
                sor = matrix[i-1][j];
                dest = matrix[i][j];
                
                dest.setOpacity (sor.getOpacity ());
            }
            
        }
        
        for (int j=0; j<matrix.length; j++) {
            
            matrix[0][j].setOpacity (0);
        }
    }
}
